Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/metadata
element constraints

Model
  `<constraints>
  resource-pool-constraint* | deployment-state-constraint* | min-memory-constraint* | max-memory-constraint* | share-memory-constraint* | min-cpu-constraint* | max-cpu-constraint* | share-cpu-constraint* | software-constraint* | iso-constraint* | jre-constraint? | local-disk-size-constraint? | ip-address-constraint* | min-process-constraint* | max-process-constraint* | int-constraint* | long-constraint* | float-constraint* | double-constraint* | boolean-constraint* | date-constraint* | string-constraint* | custom-constraint* | process-type-action-constraint* | process-type-event-constraint* | cron-service-event-constraint* | cron-process-type-event-constraint* | cron-deployment-constraint* | cron-undeployment-constraint* | process-type-observer-error-constraint* | resource-pool-error-constraint**
  </constraints>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type constraintsDefinitionType
  element-only content, not nillable.

Usage
  This element can be the child of element loc-metadata.

Documentation

      The constraint definitions used to define policy for services
                                             managed by this LOC controller instance.

Nested Element Summary
choice 0...∞ |
`resourcePoolConstraintType` | `resource-pool-constraint` 0...∞ see resourcePoolConstraintType
`deploymentStateConstraintType` | `deployment-state-constraint` 0...∞ see deploymentStateConstraintType
`minMemoryConstraintType` | `min-memory-constraint` 0...∞ see minMemoryConstraintType
`maxMemoryConstraintType` | `max-memory-constraint` 0...∞ see maxMemoryConstraintType
`maxMemoryConstraintType` | `share-memory-constraint` 0...∞ see maxMemoryConstraintType
`minCPUConstraintType` | `min-cpu-constraint` 0...∞ see minCPUConstraintType
`maxCPUConstraintType` | `max-cpu-constraint` 0...∞ see maxCPUConstraintType
`maxCPUConstraintType` | `share-cpu-constraint` 0...∞ see maxCPUConstraintType
`softwareConstraintType` | `software-constraint` 0...∞ see softwareConstraintType
`isoConstraintType` | `iso-constraint` 0...∞ see isoConstraintType
`jreConstraintType` | `jre-constraint` optional see jreConstraintType
`localDiskSizeConstraintType` | `local-disk-size-constraint` optional see localDiskSizeConstraintType
`ipAddressConstraintType` | `ip-address-constraint` 0...∞ see ipAddressConstraintType
`minProcessConstraintType` | `min-process-constraint` 0...∞ see minProcessConstraintType
`maxProcessConstraintType` | `max-process-constraint` 0...∞ see maxProcessConstraintType
`intConstraintType` | `int-constraint` 0...∞ see intConstraintType
`longConstraintType` | `long-constraint` 0...∞ see longConstraintType
`floatConstraintType` | `float-constraint` 0...∞ see floatConstraintType
`doubleConstraintType` | `double-constraint` 0...∞ see doubleConstraintType
`booleanConstraintType` | `boolean-constraint` 0...∞ see booleanConstraintType
`dateConstraintType` | `date-constraint` 0...∞ see dateConstraintType
`stringConstraintType` | `string-constraint` 0...∞ see stringConstraintType
`customConstraintType` | `custom-constraint` 0...∞ see customConstraintType
`processTypeActionConstraintType` | `process-type-action-constraint` 0...∞ see processTypeActionConstraintType
`processTypeEventConstraintType` | `process-type-event-constraint` 0...∞ see processTypeEventConstraintType
`cronServiceEventConstraintType` | `cron-service-event-constraint` 0...∞ see cronServiceEventConstraintType
`cronProcessTypeEventConstraintType` | `cron-process-type-event-constraint` 0...∞ see cronProcessTypeEventConstraintType
`cronDeploymentConstraintType` | `cron-deployment-constraint` 0...∞ see cronDeploymentConstraintType
`cronUndeploymentConstraintType` | `cron-undeployment-constraint` 0...∞ see cronUndeploymentConstraintType
`processTypeObserverErrorConstraintType` | `process-type-observer-error-constraint` 0...∞ see processTypeObserverErrorConstraintType
`resourcePoolErrorConstraintType` | `resource-pool-error-constraint` 0...∞ see resourcePoolErrorConstraintType

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3